Skip to content
extensions / Commerce extension
POST/api/projects/{project_id}/sales/tax-zones

Create Tax Zone

Creates a tax zone for a project.

GETPOST

Authentication

Requirement
Required
Credential type
Bearer API key
Scopes
Not specified

Permissions

  • Requests are scoped to the target project_id. API-key requests must use a key with an active connection to that project.

Headers

NameRequiredTypeDetails
AuthorizationYesNot specified
Description: Bearer credential used to authenticate the request.

Path Parameters

NameRequiredTypeDetails
project_idYesNot specified
Description: Target project identifier.

Query Parameters

Request Body

Schema: CreateTaxZoneRequest

FieldRequiredTypeDetails
nameYesstring
Description: Display name.
tax_titleNostring
Description: Display title.
rate_percentNonumber
Description: Numeric value.
countriesNoJSON
Description: JSON object.
regionsNoJSON
Description: JSON object.
citiesNoJSON
Description: JSON object.
postal_codesNoJSON
Description: JSON object.
priorityNointeger
Description: Integer value.
is_activeNoboolean
Description: Boolean flag.

Response Body

Example 201 response

json
{
  "id": 1,
  "project_id": 1,
  "name": "Example",
  "tax_title": "string",
  "rate_percent": "string",
  "countries": [],
  "regions": [],
  "cities": [],
  "postal_codes": [],
  "priority": "string",
  "is_active": "string",
  "created_at": "2026-01-01T00:00:00Z",
  "updated_at": "2026-01-01T00:00:00Z"
}

Errors

500 internal_server_error

Availability

Available in
v0.1.0
Available since
v0.1.0
Implementation
Available
Deprecation
Not specified
Rate limits
Not specified